<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> Работа с элементами </title>
</head>
<body>
    <div id="id_" class="class_">
        Init data
    </div>
    <p> par1 </p>
    <p> par2 </p>
    <p> par3 </p>
    <div id="paras">
        <p> P1 </p>
        <p> P2 </p>
        <p> P3 </p>
    </div>

    <script>
        // получаем элемент по имени тега
        let pList = document.getElementsByTagName("p");
        for (let par of pList){
            par.innerHTML += "add new value";
        }

        document.body.innerHTML += 'add some text all document';

        // получаем элемент по его id
        let id = document.getElementById('id_');
        //console.log(id);
        id.innerHTML += 'add some text';
        // получаем элемент по имени класса
        let class_test = document.getElementsByClassName('class_');
        //console.log(class_test)
        // получаем элемент по имени тега
        let div = document.getElementsByTagName('div');
        //console.log(div);

        // получаем элемент по id
        let par = document.getElementById("paras");
        console.log(par)
        // получаем список дочерних элементов
        let parList = par.childNodes;
        for (let par of parList){
            par.innerHTML += " only child paras";
        }
    </script>
</body>
</html>
